## python-proliantutils 2.1.0

=== requirements.txt ===
six>=1.9.0
oslo.concurrency>=1.4.1 # Apache-2.0
oslo.utils>=1.2.0
jsonschema>=2.4.0

## python-proliantutils 0.1.1

=== debian/changelog ===
python-proliantutils (0.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #772019)

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Dec 2014 20:30:11 +0800

=== debian/control ===
Source: python-proliantutils
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-proliantutils.git
Vcs-Git: git://anonscm.debian.org/openstack/python-proliantutils.git
Homepage: https://github.com/hpproliant/proliantutils

Package: python-proliantutils
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-proliantutils-doc
Description: client lib interfacing various devices in HP Proliant Servers - Python 2.x
 Proliant Management Tools provides Python libraries for interfacing and
 managing various devices(like iLO) present in HP Proliant Servers. Currently,
 this module offers a library to interface to iLO4 using RIBCL.
 .
 This package contains the Python 2.x module.

Package: python3-proliantutils
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-proliantutils-doc
Description: client lib interfacing various devices in HP Proliant Servers - Python 3.x
 Proliant Management Tools provides Python libraries for interfacing and
 managing various devices(like iLO) present in HP Proliant Servers. Currently,
 this module offers a library to interface to iLO4 using RIBCL.
 .
 This package contains the Python 3.x module.

Package: python-proliantutils-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: client lib interfacing various devices in HP Proliant Servers - doc
 Proliant Management Tools provides Python libraries for interfacing and
 managing various devices(like iLO) present in HP Proliant Servers. Currently,
 this module offers a library to interface to iLO4 using RIBCL.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/hpproliant/proliantutils.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-proliantutils; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-proliantutils; \
	done
	rm -rf $(CURDIR)/debian/python*-proliantutils/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
		python$$pyvers setup.py test ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-proliantutils-doc/usr/share/doc/python-proliantutils-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-proliantutils 2.1.0

=== debian/changelog ===
python-proliantutils (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Reviewed (build-)depends.
  * Using testr and subunit to run tests.
  * Removed python3 support since it's gone from upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Apr 2015 21:39:16 +0000

=== debian/control ===
--- 
+++ 
@@ -13,15 +13,35 @@
                python3-all,
                python3-pbr,
                python3-setuptools
+Build-Depends-Indep: python-hacking,
+                     python-jsonschema (>= 2.4.0),
+                     python-mock,
+                     python-oslo.concurrency (>= 1.4.1),
+                     python-oslo.utils (>= 1.2.0),
+                     python-six (>= 1.9.0),
+                     python-testtools,
+                     python3-jsonschema (>= 2.4.0),
+                     python3-oslo.concurrency (>= 1.4.1),
+                     python3-oslo.utils (>= 1.2.0),
+                     python3-six (>= 1.9.0),
+                     python3-subunit,
+                     python3-testtools,
+                     subunit,
+                     testrepository,
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-proliantutils.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-proliantutils.git
-Homepage: https://github.com/hpproliant/proliantutils
+Homepage: https://github.com/stackforge/proliantutils
 
 Package: python-proliantutils
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: python-jsonschema (>= 2.4.0),
+         python-oslo.concurrency (>= 1.4.1),
+         python-oslo.utils (>= 1.2.0),
+         python-six (>= 1.9.0),
+         ${misc:Depends},
+         ${python:Depends},
 Suggests: python-proliantutils-doc
 Description: client lib interfacing various devices in HP Proliant Servers - Python 2.x
  Proliant Management Tools provides Python libraries for interfacing and
@@ -30,17 +50,22 @@
  .
  This package contains the Python 2.x module.
 
-Package: python3-proliantutils
-Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${python3:Depends}
-Suggests: python-proliantutils-doc
-Description: client lib interfacing various devices in HP Proliant Servers - Python 3.x
- Proliant Management Tools provides Python libraries for interfacing and
- managing various devices(like iLO) present in HP Proliant Servers. Currently,
- this module offers a library to interface to iLO4 using RIBCL.
- .
- This package contains the Python 3.x module.
+#Package: python3-proliantutils
+#Architecture: all
+#Pre-Depends: dpkg (>= 1.15.6~)
+#Depends: python3-jsonschema (>= 2.4.0),
+#         python3-oslo.concurrency (>= 1.4.1),
+#         python3-oslo.utils (>= 1.2.0),
+#         python3-six (>= 1.9.0),
+#         ${misc:Depends},
+#         ${python3:Depends},
+#Suggests: python-proliantutils-doc
+#Description: client lib interfacing various devices in HP Proliant Servers - Python 3.x
+# Proliant Management Tools provides Python libraries for interfacing and
+# managing various devices(like iLO) present in HP Proliant Servers. Currently,
+# this module offers a library to interface to iLO4 using RIBCL.
+# .
+# This package contains the Python 3.x module.
 
 Package: python-proliantutils-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -1,36 +1,45 @@
 #!/usr/bin/make -f
 
 PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
+#PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/hpproliant/proliantutils.git
+UPSTREAM_GIT = git://github.com/stackforge/proliantutils.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
 
 override_dh_install:
 	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-proliantutils; \
 	done
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-proliantutils; \
-	done
+#	set -e ; for pyvers in $(PYTHON3S); do \
+#		python$$pyvers setup.py install --install-layout=deb \
+#			--root $(CURDIR)/debian/python3-proliantutils; \
+#	done
 	rm -rf $(CURDIR)/debian/python*-proliantutils/usr/lib/python*/dist-packages/*.pth
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
-		python$$pyvers setup.py test ; \
+	@echo "===> Running tests"
+	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		rm -rf .testrepository ; \
+		testr-python$$PYMAJOR init ; \
+		TEMP_REZ=`mktemp -t` ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		rm -f $$TEMP_REZ ; \
+		testr-python$$PYMAJOR slowest ; \
 	done
 endif
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
-	rm -rf build
+	rm -rf build .testrepository
 
 override_dh_sphinxdoc:
 	sphinx-build -b html doc/source debian/python-proliantutils-doc/usr/share/doc/python-proliantutils-doc/html

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/proliantutils proliantutils-(.*).tar.gz

## python-proliantutils 2.1.5

=== requirements.txt ===
six>=1.9.0
oslo.concurrency>=1.8.0
oslo.utils>=1.4.0
jsonschema>=2.4.0
requests>=2.7.0

=== debian/changelog ===
python-proliantutils (2.1.5-1) unstable; urgency=medium

  * New upstream release.
  * Fixed VCS upstream URLs.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Oct 2015 07:36:25 +0000

python-proliantutils (2.1.4-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 10:28:15 +0000

python-proliantutils (2.1.4-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Delete python 3 patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2015 19:38:36 +0000

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,26 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
-               python-all (>= 2.6.6-3~),
+               python-all,
                python-pbr,
                python-setuptools,
                python-sphinx,
                python3-all,
                python3-pbr,
                python3-setuptools
-Build-Depends-Indep: python-hacking,
+Build-Depends-Indep: python-ddt,
+                     python-hacking,
                      python-jsonschema (>= 2.4.0),
                      python-mock,
-                     python-oslo.concurrency (>= 1.4.1),
-                     python-oslo.utils (>= 1.2.0),
+                     python-oslo.concurrency (>= 1.8.0),
+                     python-oslo.utils (>= 1.4.0),
+                     python-requests (>= 2.7.0),
                      python-six (>= 1.9.0),
                      python-testtools,
                      python3-jsonschema (>= 2.4.0),
-                     python3-oslo.concurrency (>= 1.4.1),
-                     python3-oslo.utils (>= 1.2.0),
+                     python3-oslo.concurrency (>= 1.8.0),
+                     python3-oslo.utils (>= 1.4.0),
+                     python3-requests (>= 2.7.0),
                      python3-six (>= 1.9.0),
                      python3-subunit,
                      python3-testtools,
@@ -31,14 +34,13 @@
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-proliantutils.git
 Vcs-Git: git://anonscm.debian.org/openstack/python-proliantutils.git
-Homepage: https://github.com/stackforge/proliantutils
+Homepage: https://github.com/openstack/proliantutils
 
 Package: python-proliantutils
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: python-jsonschema (>= 2.4.0),
-         python-oslo.concurrency (>= 1.4.1),
-         python-oslo.utils (>= 1.2.0),
+         python-oslo.concurrency (>= 1.8.0),
+         python-oslo.utils (>= 1.4.0),
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends},
@@ -52,10 +54,9 @@
 
 #Package: python3-proliantutils
 #Architecture: all
-#Pre-Depends: dpkg (>= 1.15.6~)
 #Depends: python3-jsonschema (>= 2.4.0),
-#         python3-oslo.concurrency (>= 1.4.1),
-#         python3-oslo.utils (>= 1.2.0),
+#         python3-oslo.concurrency (>= 1.8.0),
+#         python3-oslo.utils (>= 1.4.0),
 #         python3-six (>= 1.9.0),
 #         ${misc:Depends},
 #         ${python3:Depends},
@@ -70,7 +71,6 @@
 Package: python-proliantutils-doc
 Section: doc
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: client lib interfacing various devices in HP Proliant Servers - doc
  Proliant Management Tools provides Python libraries for interfacing and

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 #PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/stackforge/proliantutils.git
+UPSTREAM_GIT = git://github.com/openstack/proliantutils.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 export OSLO_PACKAGE_VERSION=$(VERSION)

=== debian/watch ===
version=3
https://github.com/openstack/proliantutils/tags .*/(\d[\d\.]+)\.tar\.gz

## python-proliantutils 2.1.8

=== debian/changelog ===
python-proliantutils (2.1.8-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * 

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Jul 2016 09:03:05 +0000

python-proliantutils (2.1.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release (Closes: #827831).
  * Fixed debian/copyright ordering and holders.
  * Standards-Version is now 3.9.8 (no change).
  * Added Python 3 support.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Jun 2016 17:48:19 +0200

=== debian/control ===
Source: python-proliantutils
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 51~),
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools
Build-Depends-Indep: python-coverage,
                     python-ddt,
                     python-hacking,
                     python-jsonschema (>= 2.4.0),
                     python-mock,
                     python-oslo.concurrency (>= 1.8.0),
                     python-oslo.utils (>= 1.4.0),
                     python-os-testr (>= 0.4.1),
                     python-requests (>= 2.7.0),
                     python-six (>= 1.9.0),
                     python-testtools (>= 1.4.0),
                     python3-ddt,
                     python3-jsonschema (>= 2.4.0),
                     python3-mock,
                     python3-oslo.concurrency (>= 1.8.0),
                     python3-oslo.utils (>= 1.4.0),
                     python3-os-testr (>= 0.4.1),
                     python3-requests (>= 2.7.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-proliantutils.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-proliantutils.git
Homepage: https://github.com/openstack/proliantutils

Package: python-proliantutils
Architecture: all
Depends: python-jsonschema (>= 2.4.0),
         python-oslo.concurrency (>= 1.8.0),
         python-oslo.utils (>= 1.4.0),
         python-requests (>= 2.7.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-proliantutils-doc
Description: client lib interfacing various devices in HP Proliant Servers - Python 2.x
 Proliant Management Tools provides Python libraries for interfacing and
 managing various devices(like iLO) present in HP Proliant Servers. Currently,
 this module offers a library to interface to iLO4 using RIBCL.
 .
 This package contains the Python 2.x module.

Package: python3-proliantutils
Architecture: all
Depends: python3-jsonschema (>= 2.4.0),
         python3-oslo.concurrency (>= 1.8.0),
         python3-oslo.utils (>= 1.4.0),
         python3-requests (>= 2.7.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-proliantutils-doc
Description: client lib interfacing various devices in HP Proliant Servers - Python 3.x
 Proliant Management Tools provides Python libraries for interfacing and
 managing various devices(like iLO) present in HP Proliant Servers. Currently,
 this module offers a library to interface to iLO4 using RIBCL.
 .
 This package contains the Python 3.x module.

Package: python-proliantutils-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: client lib interfacing various devices in HP Proliant Servers - doc
 Proliant Management Tools provides Python libraries for interfacing and
 managing various devices(like iLO) present in HP Proliant Servers. Currently,
 this module offers a library to interface to iLO4 using RIBCL.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/proliantutils.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-proliantutils-doc/usr/share/doc/python-proliantutils-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-proliantutils 2.1.11

=== debian/changelog ===
python-proliantutils (2.1.11-2+41~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:40:31 +0000

python-proliantutils (2.1.11-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2016 14:19:38 +0200

=== debian/control ===
--- 
+++ 
@@ -37,8 +37,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-proliantutils.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-proliantutils.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-proliantutils?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-proliantutils -b debian/newton
 Homepage: https://github.com/openstack/proliantutils
 
 Package: python-proliantutils

## python-proliantutils 2.5.0

=== requirements.txt ===
pbr>=2.0.0 # Apache-2.0
six>=1.9.0 # MIT
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
requests!=2.12.2,!=2.13.0,>=2.10.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
pysnmp>=4.2.3,<5.0.0  # BSD

# Redfish communication uses the Sushy library
sushy

=== debian/changelog ===
python-proliantutils (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:35 +0000

python-proliantutils (2.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Feb 2018 20:35:54 +0000

python-proliantutils (2.4.1-2) unstable; urgency=medium

  * Uploading to unstable:
    - Fix FTBFS with Python 3.6 (Closes: #867629).
  * Removed some versions not needed since stretch release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 17:44:33 +0000

python-proliantutils (2.4.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.1.1.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Blacklist test_successive_calls_to_extract_method().

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Oct 2017 20:02:37 +0200

python-proliantutils (2.1.11-2) unstable; urgency=medium

  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:13:41 +0200

=== debian/control ===
Source: python-proliantutils
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-coverage,
 python-ddt,
 python-hacking,
 python-jsonschema,
 python-mock,
 python-os-testr,
 python-oslo.concurrency,
 python-oslo.serialization,
 python-oslo.utils (>= 3.20.0),
 python-pysnmp4,
 python-requests,
 python-retrying,
 python-six,
 python-sushy (>= 1.3.1),
 python-testtools (>= 1.4.0),
 python3-ddt,
 python3-jsonschema,
 python3-mock,
 python3-os-testr (>= 0.4.1),
 python3-oslo.concurrency,
 python3-oslo.serialization,
 python3-oslo.utils (>= 3.20.0),
 python3-pysnmp4,
 python3-requests,
 python3-retrying,
 python3-six,
 python3-subunit,
 python3-sushy (>= 1.3.1),
 python3-testtools (>= 1.4.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-proliantutils
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-proliantutils.git
Homepage: https://github.com/openstack/proliantutils

Package: python-proliantutils
Architecture: all
Depends:
 python-jsonschema,
 python-oslo.concurrency,
 python-oslo.serialization,
 python-oslo.utils (>= 3.20.0),
 python-pbr (>= 2.0.0),
 python-pysnmp4,
 python-requests,
 python-retrying,
 python-six,
 python-sushy (>= 1.3.1),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-proliantutils-doc,
Description: client lib interfacing various devices in HP Proliant Servers - Python 2.x
 Proliant Management Tools provides Python libraries for interfacing and
 managing various devices(like iLO) present in HP Proliant Servers. Currently,
 this module offers a library to interface to iLO4 using RIBCL.
 .
 This package contains the Python 2.x module.

Package: python-proliantutils-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client lib interfacing various devices in HP Proliant Servers - doc
 Proliant Management Tools provides Python libraries for interfacing and
 managing various devices(like iLO) present in HP Proliant Servers. Currently,
 this module offers a library to interface to iLO4 using RIBCL.
 .
 This package contains the documentation.

Package: python3-proliantutils
Architecture: all
Depends:
 python3-jsonschema,
 python3-oslo.concurrency,
 python3-oslo.serialization,
 python3-oslo.utils (>= 3.20.0),
 python3-pbr (>= 2.0.0),
 python3-pysnmp4,
 python3-requests,
 python3-retrying,
 python3-six,
 python3-sushy (>= 1.3.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-proliantutils-doc,
Description: client lib interfacing various devices in HP Proliant Servers - Python 3.x
 Proliant Management Tools provides Python libraries for interfacing and
 managing various devices(like iLO) present in HP Proliant Servers. Currently,
 this module offers a library to interface to iLO4 using RIBCL.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,8 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test
+	# This fails in Python 3.6
+	pkgos-dh_auto_test 'proliantutils\.tests(?!.*ilo\.test_firmware_controller\.FirmwareImageExtractorTestCase\.test_successive_calls_to_extract_method.*)'
 endif
 
 override_dh_clean:

## python-proliantutils 2.6.0

=== requirements.txt ===
--- 
+++ 
@@ -9,4 +9,4 @@
 pysnmp>=4.2.3,<5.0.0  # BSD
 
 # Redfish communication uses the Sushy library
-sushy
+sushy>=1.3.1

=== debian/changelog ===
python-proliantutils (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable:
    - Fixes FTBFS (Closes: #902241).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Aug 2018 12:09:48 +0200

python-proliantutils (2.6.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Removed remove-broken-test.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 13:58:09 +0200

python-proliantutils (2.5.0-3) unstable; urgency=medium

  * Disable broken test:
    test__get_socket_throws_exception_in_case_of_failed_connection.
  * Drop Python 2 module, only Python 3 is in use in Debian.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Apr 2018 09:42:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,19 @@
 Source: python-proliantutils
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
- python-sphinx,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
- python-coverage,
- python-ddt,
- python-hacking,
- python-jsonschema,
- python-mock,
- python-os-testr,
- python-oslo.concurrency,
- python-oslo.serialization,
- python-oslo.utils (>= 3.20.0),
- python-pysnmp4,
- python-requests,
- python-retrying,
- python-six,
- python-sushy (>= 1.3.1),
- python-testtools (>= 1.4.0),
+ python3-coverage,
  python3-ddt,
  python3-jsonschema,
  python3-mock,
@@ -51,30 +34,6 @@
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-proliantutils
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-proliantutils.git
 Homepage: https://github.com/openstack/proliantutils
-
-Package: python-proliantutils
-Architecture: all
-Depends:
- python-jsonschema,
- python-oslo.concurrency,
- python-oslo.serialization,
- python-oslo.utils (>= 3.20.0),
- python-pbr (>= 2.0.0),
- python-pysnmp4,
- python-requests,
- python-retrying,
- python-six,
- python-sushy (>= 1.3.1),
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-proliantutils-doc,
-Description: client lib interfacing various devices in HP Proliant Servers - Python 2.x
- Proliant Management Tools provides Python libraries for interfacing and
- managing various devices(like iLO) present in HP Proliant Servers. Currently,
- this module offers a library to interface to iLO4 using RIBCL.
- .
- This package contains the Python 2.x module.
 
 Package: python-proliantutils-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -4,23 +4,30 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
-
-override_dh_auto_install:
-	pkgos-dh_auto_install
-
-override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	# This fails in Python 3.6
-	pkgos-dh_auto_test 'proliantutils\.tests(?!.*ilo\.test_firmware_controller\.FirmwareImageExtractorTestCase\.test_successive_calls_to_extract_method.*)'
-endif
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build .testrepository
 
+override_dh_auto_clean:
+	python3 setup.py clean
+
+override_dh_auto_test:
+	echo "Do nothing..."
+
+override_dh_auto_build:
+	echo "Do nothing..."
+
+override_dh_auto_install:
+	pkgos-dh_auto_install --no-py2
+
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	pkgos-dh_auto_test --no-py2 'proliantutils\.tests(?!.*ilo\.test_firmware_controller\.FirmwareImageExtractorTestCase\.test_successive_calls_to_extract_method.*)'
+endif
+
 override_dh_sphinxdoc:
-	sphinx-build -b html doc/source debian/python-proliantutils-doc/usr/share/doc/python-proliantutils-doc/html
+	PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-proliantutils-doc/usr/share/doc/python-proliantutils-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 # Commands not to run

## python-proliantutils 2.8.2

=== debian/changelog ===
python-proliantutils (2.8.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 20 Oct 2019 20:45:06 +0200

python-proliantutils (2.8.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Sep 2019 21:50:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
@@ -17,17 +17,17 @@
  python3-ddt,
  python3-jsonschema,
  python3-mock,
- python3-os-testr (>= 0.4.1),
+ python3-os-testr,
  python3-oslo.concurrency,
  python3-oslo.serialization,
- python3-oslo.utils (>= 3.20.0),
+ python3-oslo.utils,
  python3-pysnmp4,
  python3-requests,
  python3-retrying,
  python3-six,
  python3-subunit,
- python3-sushy (>= 1.3.1),
- python3-testtools (>= 1.4.0),
+ python3-sushy (>= 1.8.0),
+ python3-testtools,
  subunit,
  testrepository,
 Standards-Version: 4.1.3
@@ -54,13 +54,13 @@
  python3-jsonschema,
  python3-oslo.concurrency,
  python3-oslo.serialization,
- python3-oslo.utils (>= 3.20.0),
- python3-pbr (>= 2.0.0),
+ python3-oslo.utils,
+ python3-pbr,
  python3-pysnmp4,
  python3-requests,
  python3-retrying,
  python3-six,
- python3-sushy (>= 1.3.1),
+ python3-sushy (>= 1.8.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-proliantutils 2.9.2

=== requirements.txt ===
pbr>=2.0.0 # Apache-2.0
six>=1.9.0 # MIT
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
jsonschema>=2.6.0 # MIT
requests!=2.12.2,!=2.13.0,>=2.10.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
pysnmp>=4.2.3,<5.0.0  # BSD

# Redfish communication uses the Sushy library
sushy>=1.8.0

=== debian/changelog ===
python-proliantutils (2.9.2-1) unstable; urgency=medium

  [ Michal Arbet ]
  * New upstream version
  * Add me to maintainer field

  [ Thomas Goirand ]
  * Fix upstream VCS URLs in d/control, d/copyright and d/rules.
  * Blacklist failing unit tests: test_update_ilo_firmware() and
    test_update_other_component_firmware() (Closes: #950037).

 -- Thomas Goirand <zigo@debian.org>  Tue, 18 Feb 2020 09:49:22 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
@@ -33,7 +34,7 @@
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-proliantutils
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-proliantutils.git
-Homepage: https://github.com/openstack/proliantutils
+Homepage: https://opendev.org/x/proliantutils
 
 Package: python-proliantutils-doc
 Section: doc

## python-proliantutils 2.10.0

=== requirements.txt ===
--- 
+++ 
@@ -9,4 +9,5 @@
 pysnmp>=4.2.3,<5.0.0  # BSD
 
 # Redfish communication uses the Sushy library
-sushy>=1.8.0
+sushy>=3.1.0
+pyOpenSSL>=19.1.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ProliantUtils.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ProliantUtils.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ProliantUtils"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ProliantUtils"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-proliantutils (2.10.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.
  * Fixed watch file to use the git mode and the new upstream URL.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 12:48:43 +0200

python-proliantutils (2.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 09:18:39 +0200

python-proliantutils (2.9.4-1) unstable; urgency=medium

  * New upstream release.
  * Fixed sushy version in (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 18:39:41 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  python3-ddt,
  python3-jsonschema,
  python3-mock,
+ python3-openssl (>= 19.1.0),
  python3-os-testr,
  python3-oslo.concurrency,
  python3-oslo.serialization,
@@ -27,8 +28,9 @@
  python3-retrying,
  python3-six,
  python3-subunit,
- python3-sushy (>= 1.8.0),
+ python3-sushy (>= 3.1.0),
  python3-testtools,
+ python3-xmltodict,
  subunit,
  testrepository,
 Standards-Version: 4.1.3
@@ -60,8 +62,9 @@
  python3-pysnmp4,
  python3-requests,
  python3-retrying,
+ python3-openssl (>= 19.1.0),
  python3-six,
- python3-sushy (>= 1.8.0),
+ python3-sushy (>= 3.1.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/x/proliantutils
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build .testrepository

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'proliantutils\.tests(?!.*ilo\.test_firmware_controller\.FirmwareImageExtractorTestCase\.test_successive_calls_to_extract_method.*|.*ilo\.test_ribcl\.IloRibclTestCase\.test_update_ilo_firmware.*|.*ilo\.test_ribcl\.IloRibclTestCase\.test_update_other_component_firmware.*)'
endif

override_dh_sphinxdoc:
	PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-proliantutils-doc/usr/share/doc/python-proliantutils-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

## python-proliantutils 2.11.0

=== debian/changelog ===
python-proliantutils (2.11.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 11:27:18 -0400

python-proliantutils (2.10.0-0ubuntu1) groovy; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Get tarball from pypi.debian.net.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Oct 2020 16:34:23 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-proliantutils
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
@@ -16,9 +17,10 @@
 Build-Depends-Indep:
  python3-coverage,
  python3-ddt,
+ python3-hacking,
  python3-jsonschema,
  python3-mock,
- python3-openssl (>= 19.1.0),
+ python3-openssl,
  python3-os-testr,
  python3-oslo.concurrency,
  python3-oslo.serialization,
@@ -27,6 +29,7 @@
  python3-requests,
  python3-retrying,
  python3-six,
+ python3-stestr,
  python3-subunit,
  python3-sushy (>= 3.1.0),
  python3-testtools,
@@ -34,8 +37,8 @@
  subunit,
  testrepository,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-proliantutils
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-proliantutils.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-proliantutils
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-proliantutils
 Homepage: https://opendev.org/x/proliantutils
 
 Package: python-proliantutils-doc
@@ -54,16 +57,16 @@
 Package: python3-proliantutils
 Architecture: all
 Depends:
- python3-jsonschema,
- python3-oslo.concurrency,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-pbr,
- python3-pysnmp4,
- python3-requests,
- python3-retrying,
+ python3-jsonschema (>= 2.6.0),
  python3-openssl (>= 19.1.0),
- python3-six,
+ python3-oslo.concurrency (>= 3.8.0),
+ python3-oslo.serialization (>= 1.10.0),
+ python3-oslo.utils (>= 3.20.0),
+ python3-pbr (>= 2.0.0),
+ python3-pysnmp4 (>= 4.2.3),
+ python3-requests (>= 2.10.0),
+ python3-retrying (>= 1.2.3),
+ python3-six (>= 1.9.0),
  python3-sushy (>= 3.1.0),
  ${misc:Depends},
  ${python3:Depends},

## python-proliantutils 2.12.0

=== debian/changelog ===
python-proliantutils (2.12.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 15:37:39 -0400

=== debian/control ===
--- 
+++ 
@@ -11,28 +11,28 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
  python3-coverage,
  python3-ddt,
  python3-hacking,
- python3-jsonschema,
+ python3-jsonschema (>= 2.6.0),
  python3-mock,
- python3-openssl,
+ python3-openssl (>= 19.1.0),
  python3-os-testr,
- python3-oslo.concurrency,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-pysnmp4,
- python3-requests,
- python3-retrying,
- python3-six,
+ python3-oslo.concurrency (>= 3.8.0),
+ python3-oslo.serialization (>= 1.10.0),
+ python3-oslo.utils (>= 3.20.0),
+ python3-pysnmp4 (>= 4.2.3),
+ python3-requests (>= 2.10.0),
+ python3-retrying (>= 1.2.3),
+ python3-six (>= 1.9.0),
  python3-stestr,
  python3-subunit,
  python3-sushy (>= 3.1.0),
- python3-testtools,
+ python3-testtools (>= 1.4.0),
  python3-xmltodict,
  subunit,
  testrepository,
